camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Evgeny M <evgeny.minkev...@gmail.com>
Subject Upgrading to 2.18 - Integration Test Issue
Date Mon, 24 Oct 2016 06:17:55 GMT
Good day.

Working on a plugin and wanted to upgrade the code to 2.18.0 version.

What builds fine with 2.17.2 now fails:

Spring-Boot-Starter: starter not allowed for module <MODULE> skipping.

Failed to execute goal
org.apache.camel:camel-package-maven-plugin:2.18.0:prepare-spring-boot-auto-configuration
(validate) on project <MODULE>: Execution validate of goal
org.apache.camel:camel-package-maven-plugin:2.18.0:prepare-spring-boot-auto-configuration
failed: Cannot find Apache Camel project root directory -> [Help 1]

If I run without the integration tests, everything seem to work fine.

What do I miss here? How do I enable springboot starter for my component?






--
View this message in context: http://camel.465427.n5.nabble.com/Upgrading-to-2-18-Integration-Test-Issue-tp5789152.html
Sent from the Camel Development mailing list archive at Nabble.com.

Mime
View raw message